## keysmith 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Bhushan Shah <bshah@kde.org>
# SPDX-FileCopyrightText: 2019 Friedrich W. H. Kossebau <kossebau@kde.org>
# SPDX-FileCopyrightText: 2019-2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
# SPDX-FileCopyrightText: 2021 Devin Lin <espidev@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(keysmith VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.0.0")
set(QT_MIN_VERSION "6.5.0")
set(SODIUM_MIN_VERSION "1.0.16")

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddTests)
include(ECMPoQmTools)
include(ECMAddAndroidApk)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQmlModule)
include(ECMDeprecationSettings)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2 Concurrent)
find_package(KF6Kirigami ${KF_MIN_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(QT 6.0.0
    KF 6.7
    )


if(NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
endif()

if(NOT BUILD_EXTERNAL)
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

    message(STATUS "Will build against system version of: libsodium")
    find_package(sodium ${SODIUM_MIN_VERSION} REQUIRED)
endif()

if (BUILD_DBUS_INTERFACE OR (NOT ANDROID AND NOT DEFINED BUILD_DBUS_INTERFACE))
    find_package(KF6DBusAddons ${KF_MIN_VERSION} REQUIRED)
    find_package(KF6WindowSystem ${KF_MIN_VERSION} REQUIRED)
    set(ENABLE_DBUS_INTERFACE ON)
endif()

if (NOT ANDROID)
    find_package(KF6QQC2DesktopStyle ${KF_MIN_VERSION} REQUIRED)
    set_package_properties(KF6QQC2DesktopStyle PROPERTIES
        TYPE RUNTIME
    )
endif()

add_subdirectory(src)

if (ANDROID)
    add_subdirectory(android)
endif()

if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(autotests)
endif()

install(FILES org.kde.keysmith.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES keysmith.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
install(FILES org.kde.keysmith.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019 Bhushan Shah <bshah@kde.org>
# SPDX-FileCopyrightText: 2019 Friedrich W. H. Kossebau <kossebau@kde.org>
# SPDX-FileCopyrightText: 2019-2021 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
# SPDX-FileCopyrightText: 2020 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2021 Devin Lin <espidev@gmail.com>
#

add_subdirectory(base32)
add_subdirectory(uri)
add_subdirectory(hmac)
add_subdirectory(oath)
add_subdirectory(secrets)
add_subdirectory(account)
add_subdirectory(model)
add_subdirectory(validators)
add_subdirectory(app)

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/version.h.in" "${CMAKE_CURRENT_BINARY_DIR}/version.h")

#
# The features header should be namespaced, or at least it *must not* be called 'features.h'.
# Reason is that the GNU C++ standard library implementation also refers to a 'features.h'
# and compilation will blow up very badly inside 'os_defines.h' if it does not get the
# 'features.h' it was (really) looking for.
#
configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/keysmith-features.h.in" "${CMAKE_CURRENT_BINARY_DIR}/keysmith-features.h")

add_executable(keysmith main.cpp)

ecm_add_qml_module(keysmith URI "org.kde.keysmith" VERSION 1.0)

ecm_target_qml_sources(keysmith SOURCES
    contents/ui/Main.qml
    contents/ui/AccountsOverview.qml
    contents/ui/AddAccount.qml
    contents/ui/ErrorPage.qml
    contents/ui/RenameAccount.qml
    contents/ui/AccountNameForm.qml
    contents/ui/HOTPDetailsForm.qml
    contents/ui/TOTPDetailsForm.qml
    contents/ui/UnlockAccounts.qml
    contents/ui/SetupPassword.qml
    contents/ui/TokenEntryViewLabels.qml
    contents/ui/AccountEntryViewBase.qml
    contents/ui/HOTPAccountEntryView.qml
    contents/ui/TOTPAccountEntryView.qml
    contents/ui/KeysmithGlobalDrawer.qml
)

target_link_libraries(keysmith
    PUBLIC
        Qt6::Core
        Qt6::Gui
        Qt6::Qml
        Qt6::Quick
        Qt6::Svg
        Qt6::QuickControls2
        KF6::CoreAddons
        KF6::I18n
        keysmith_lib
)

if (ENABLE_DBUS_INTERFACE)
    target_link_libraries(keysmith PUBLIC KF6::DBusAddons)
endif()

if(ANDROID)
    kirigami_package_breeze_icons(ICONS
        application-quit
        answer-correct
        edit-delete
        edit-undo
        go-next
        list-add
        unlock
        lock
    )

    ecm_add_android_apk(keysmith ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(keysmith PUBLIC Qt6::Widgets)
endif()

install(TARGETS keysmith ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== autotests/validators/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019-2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(validator_lib_test_SRCS
    base32-validator.cpp
    datetime-parsing.cpp
    epoch-validator.cpp
    name-validator.cpp
    issuer-validator.cpp
    unsigned-long-validator.cpp
    unsigned-long-parsing.cpp
)

#
# Using macros to take care of boilerplate test setup confuses Automoc a bit
# It still works without registering the macro, but this way the mistaken
# warnings are suppressed.
#
# (The Automoc warning mistakenly hints at removing a necessary #include)
#
list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "DEFINE_VALIDATOR_TEST")

ecm_add_tests(
    ${validator_lib_test_SRCS}
    LINK_LIBRARIES
        Qt::Core Qt::Gui Qt::Test
        validator_lib
    NAME_PREFIX validators-
)

## keysmith 23.04.1

=== debian/changelog ===
keysmith (23.04.1-0xneon+22.04+jammy+release+build8) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 16:14:00 +0000

keysmith (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 16:13:07 +0000

keysmith (23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 30 Jan 2023 16:13:05 +0000

keysmith (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 16:13:06 +0000

keysmith (22.09-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000

=== debian/control ===
Source: keysmith
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libsodium-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma-mobile/keysmith
Vcs-Git: https://invent.kde.org/neon/mobile/keysmith.git
Vcs-Browser: https://invent.kde.org/neon/mobile/keysmith
Maintainer: Neon CI <neon@kde.org>

Package: keysmith
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Convergent YouTube Music client
 AudioTube can search YouTube Music, list albums and artists, play
 automatically generated playlists, albums and allows to put your own
 playlist together.

## keysmith 24.08.1

=== debian/changelog ===
keysmith (24.08.1-1) experimental; urgency=medium

  * Sponsored upload for Yifei Zhan <yifei@zhan.science>
  * Initial release. (Closes: #1051410)

 -- Russell Coker <russell@coker.com.au>  Sun, 22 Sep 2024 20:59:37 +1000

=== debian/control ===
Source: keysmith
Homepage: https://apps.kde.org/keysmith
Maintainer: Yifei Zhan <debian@zhan.science>
Section: kde
Priority: optional
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.16~),
               dh-sequence-kf6,
               debhelper-compat (= 13),
               libplasma-dev,
               libqt6svg6-dev,
               libkf6notifications-dev,
               kirigami-addons-dev,
               libkf6iconthemes-dev,
               kirigami2-dev,
               qtquickcontrols2-5-dev,
               libkf6i18n-dev,
               libkf6coreaddons-dev,
               qt6-declarative-dev,
               qml6-module-org-kde-quickcharts,
               qml6-module-org-kde-breeze,
               qml6-module-org-kde-kirigami,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-datetime,
               libkf6statusnotifieritem-dev,
               libkf6dbusaddons-dev,
               libkf6qqc2desktopstyle-dev,
               libkirigami-dev,
               libsodium-dev,
               qt6-multimedia-dev,
               extra-cmake-modules (>= 5.71.0~),
               libkf6config-dev (>= 5.71.0~),
               gettext
               

Package: keysmith
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OTP client for Plasma Mobile and Desktop
 Keysmith is an application to generate two-factor authentication (2FA) tokens
 when logging in to your (online) accounts. Currently it supports both HOTP and
 TOTP tokens.

## keysmith 24.12.0

=== debian/changelog ===
keysmith (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:11:16 +0000

keysmith (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:07:36 +0000

keysmith (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:11:31 +0000

keysmith (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)
  * wrap-and-sort
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 14:22:21 +0000

## keysmith 24.12.1

=== debian/changelog ===
keysmith (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:30:39 +0000

## keysmith 24.12.3

=== debian/changelog ===
keysmith (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:41:38 +0000

keysmith (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:16:23 +0000

=== debian/control ===
Source: keysmith
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Yifei Zhan <debian@zhan.science>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev,
               libkf6config-dev (>= 5.71.0~),
               libkf6coreaddons-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6notifications-dev,
               libkf6qqc2desktopstyle-dev,
               libkf6statusnotifieritem-dev,
               libkirigami-dev,
               libplasma-dev,
               libqt6svg6-dev,
               libsodium-dev,
               qml6-module-org-kde-breeze,
               qml6-module-org-kde-kirigami,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-datetime,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-quickcharts,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qtquickcontrols2-5-dev,
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/keysmith
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keysmith
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keysmith

Package: keysmith
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: OTP client for Plasma Mobile and Desktop
 Keysmith is an application to generate two-factor authentication (2FA) tokens
 when logging in to your (online) accounts. Currently it supports both HOTP and
 TOTP tokens.

=== debian/watch ===
version=4
https://github.com/KDE/keysmith/tags .*/v?(\d.*)@ARCHIVE_EXT@

## keysmith 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,14 +7,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(keysmith VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.0.0")
+set(KF_MIN_VERSION "6.8.0")
 set(QT_MIN_VERSION "6.5.0")
 set(SODIUM_MIN_VERSION "1.0.16")
 
@@ -36,6 +36,7 @@
 include(KDEGitCommitHooks)
 include(ECMQmlModule)
 include(ECMDeprecationSettings)
+include(ECMFindQmlModule)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -44,10 +45,13 @@
 find_package(KF6Kirigami ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)
+find_package(KF6Config ${KF_MIN_VERSION} REQUIRED)
+
+ecm_find_qmlmodule(org.kde.prison.scanner REQUIRED)
 
 ecm_set_disabled_deprecation_versions(QT 6.0.0
-    KF 6.7
-    )
+    KF 6.12.0
+)
 
 
 if(NOT ANDROID)
@@ -60,6 +64,12 @@
     message(STATUS "Will build against system version of: libsodium")
     find_package(sodium ${SODIUM_MIN_VERSION} REQUIRED)
 endif()
+
+find_package(OpenSSL)
+set_package_properties(OpenSSL PROPERTIES
+    TYPE REQUIRED
+    PURPOSE "Encrypted communications"
+)
 
 if (BUILD_DBUS_INTERFACE OR (NOT ANDROID AND NOT DEFINED BUILD_DBUS_INTERFACE))
     find_package(KF6DBusAddons ${KF_MIN_VERSION} REQUIRED)
@@ -86,7 +96,7 @@
 endif()
 
 install(FILES org.kde.keysmith.desktop DESTINATION ${KDE_INSTALL_APPDIR})
-install(FILES keysmith.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
+install(FILES org.kde.keysmith.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
 install(FILES org.kde.keysmith.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== android/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/android-export.in.sh" "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/android-export.sh" @ONLY ESCAPE_QUOTES)

file (
    COPY "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/android-export.sh"
    DESTINATION "${CMAKE_CURRENT_BINARY_DIR}"
    FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)

=== src/model/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(model_SRCS
    accounts.cpp
    password.cpp
    input.cpp
    qr.cpp
)

add_library(model_lib STATIC ${model_SRCS})
target_link_libraries(model_lib Qt::Core Qt::Qml Qt::Gui account_lib backups_lib validator_lib uri_lib)

=== debian/changelog ===
keysmith (25.04.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add Vcs-* URLs to control file.
  * Add copyright for packaging files.
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:43:09 +0200

keysmith (25.03.90-1) unstable; urgency=medium

  * Team upload.

  [ Yifei Zhan ]
  * Update to 24.12.3 (Closes: #1095015)
  * Switch upstream from GitHub to KDE Release Service
  * Import upstream signing key
  * Bypass broken test

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Switch to team maintenance by the Debian Qt/KDE Maintainers team.
  * Drop unnecessary dh_auto_configure override.
  * Use dh-sequence-qmldeps to correctly inject runtime QML
    dependencies.
  * Simplify copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 03 Apr 2025 23:39:47 +0200

keysmith (24.12.1-1) unstable; urgency=medium

  * Update to 24.12.1

 -- Yifei Zhan <debian@zhan.science>  Fri, 24 Jan 2025 01:23:24 -0500

=== debian/control ===
Source: keysmith
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Yifei Zhan <debian@zhan.science>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6iconthemes-dev,
               libkf6notifications-dev,
               libkf6qqc2desktopstyle-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev,
               libkf6windowsystem-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libplasma-dev,
               libqt6svg6-dev,
               libsodium-dev,
               libssl-dev,
               qml6-module-org-kde-breeze,
               qml6-module-org-kde-kirigami,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-datetime,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-prison,
               qml6-module-org-kde-quickcharts,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-multimedia-dev,
               qt6-svg-dev (>= 6.5.0~),
               qtquickcontrols2-5-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/keysmith
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/keysmith
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/keysmith.git

Package: keysmith
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: OTP client for Plasma Mobile and Desktop
 Keysmith is an application to generate two-factor authentication (2FA) tokens
 when logging in to your (online) accounts. Currently it supports both HOTP and
 TOTP tokens.

## keysmith 25.07.80

=== debian/changelog ===
keysmith (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:10:29 +0100

keysmith (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:43:02 +0100

keysmith (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:45:50 +0100

keysmith (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:06:22 +0100

keysmith (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
    Sync changes from Debian 25.03.90-1

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:49:16 +0100

## keysmith 25.07.90

=== debian/changelog ===
keysmith (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:45:26 +0100

## keysmith 25.08.0

=== debian/changelog ===
keysmith (25.08.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 08:53:15 +0000

keysmith (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:10:59 +0000

keysmith (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:47:35 +0000

keysmith (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:36:46 +0000

keysmith (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:06:46 +0000

keysmith (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:29:31 +0000

keysmith (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:02:48 +0000

keysmith (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:21:36 +0000

keysmith (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:22:13 +0000

keysmith (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:08:24 +0000

keysmith (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:32:38 +0000

keysmith (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:57:04 +0000

keysmith (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:28:34 +0000

keysmith (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:21:32 +0000

keysmith (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:03:06 +0000

keysmith (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:18:04 +0000

keysmith (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:02:47 +0000

keysmith (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:51:25 +0000

keysmith (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:28:31 +0000

keysmith (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 18:19:23 +0000

keysmith (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:06:10 +0000

keysmith (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:54:28 +0000

keysmith (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:37:49 +0000

keysmith (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:12:14 +0000

## keysmith 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,13 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(keysmith VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.12.0")
 set(QT_MIN_VERSION "6.5.0")
 set(SODIUM_MIN_VERSION "1.0.16")
 
@@ -50,7 +50,7 @@
 ecm_find_qmlmodule(org.kde.prison.scanner REQUIRED)
 
 ecm_set_disabled_deprecation_versions(QT 6.0.0
-    KF 6.12.0
+    KF 6.14.0
 )
 
 
@@ -71,7 +71,7 @@
     PURPOSE "Encrypted communications"
 )
 
-if (BUILD_DBUS_INTERFACE OR (NOT ANDROID AND NOT DEFINED BUILD_DBUS_INTERFACE))
+if (BUILD_DBUS_INTERFACE OR (NOT ANDROID AND NOT HAIKU AND NOT DEFINED BUILD_DBUS_INTERFACE))
     find_package(KF6DBusAddons ${KF_MIN_VERSION} REQUIRED)
     find_package(KF6WindowSystem ${KF_MIN_VERSION} REQUIRED)
     set(ENABLE_DBUS_INTERFACE ON)

=== android/CMakeLists.txt ===
--- 
+++ 
@@ -10,5 +10,3 @@
     DESTINATION "${CMAKE_CURRENT_BINARY_DIR}"
     FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
 )
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 add_subdirectory(hmac)
 add_subdirectory(oath)
 add_subdirectory(secrets)
+add_subdirectory(backups)
 add_subdirectory(account)
 add_subdirectory(model)
 add_subdirectory(validators)
@@ -29,12 +30,15 @@
 
 add_executable(keysmith main.cpp)
 
+kconfig_add_kcfg_files(keysmith GENERATE_MOC stateconfig.kcfgc)
+
 ecm_add_qml_module(keysmith URI "org.kde.keysmith" VERSION 1.0)
 
 ecm_target_qml_sources(keysmith SOURCES
     contents/ui/Main.qml
     contents/ui/AccountsOverview.qml
     contents/ui/AddAccount.qml
+    contents/ui/ImportAccount.qml
     contents/ui/ErrorPage.qml
     contents/ui/RenameAccount.qml
     contents/ui/AccountNameForm.qml
@@ -47,6 +51,7 @@
     contents/ui/HOTPAccountEntryView.qml
     contents/ui/TOTPAccountEntryView.qml
     contents/ui/KeysmithGlobalDrawer.qml
+    contents/ui/QRScanPage.qml
 )
 
 target_link_libraries(keysmith
@@ -59,6 +64,9 @@
         Qt6::QuickControls2
         KF6::CoreAddons
         KF6::I18n
+        KF6::ConfigCore
+        KF6::ConfigGui
+        KF6::I18nQml
         keysmith_lib
 )
 
@@ -76,6 +84,7 @@
         list-add
         unlock
         lock
+        view-barcode-qr-symbolic
     )
 
     ecm_add_android_apk(keysmith ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)

=== autotests/account/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019-2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

add_subdirectory(test-utils)
add_subdirectory(dispatcher)
add_subdirectory(validation)
add_subdirectory(compute-jobs)
add_subdirectory(file-jobs)
add_subdirectory(keys)
add_subdirectory(storage)

=== autotests/app/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020-2021 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>

set(Test_DEP_LIBS Qt::Core Qt::Gui Qt::Concurrent Qt::Test keysmith_lib test_lib)

set(app_test_SRCS
    commandline-account-job.cpp
    commandline-options.cpp
)

ecm_add_tests(${app_test_SRCS} LINK_LIBRARIES ${Test_DEP_LIBS} NAME_PREFIX app-)

=== autotests/model/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(Test_DEP_LIBS Qt::Core Qt::Test model_lib)

set(model_test_SRCS
    milliseconds-left-for-token.cpp
    qr-input.cpp
)

ecm_add_tests(${model_test_SRCS} LINK_LIBRARIES ${Test_DEP_LIBS} NAME_PREFIX model-)

=== autotests/uri/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(Test_DEP_LIBS Qt::Core Qt::Test uri_lib)

set(uri_test_SRCS
    percent-encoding.cpp
    qr-parsing.cpp
)

ecm_add_tests(${uri_test_SRCS} LINK_LIBRARIES ${Test_DEP_LIBS} NAME_PREFIX uri-)

=== src/account/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(account_SRCS
    account.cpp
    account_p.cpp
    actions_p.cpp
    keys.cpp
    validation.cpp
)

add_library(account_lib STATIC ${account_SRCS})
target_link_libraries(account_lib Qt::Core base32_lib oath_lib secrets_lib)

=== src/oath/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#
set(oath_SRCS
    oath.cpp
)

add_library(oath_lib STATIC ${oath_SRCS})
target_link_libraries(oath_lib Qt::Core hmac_lib)

=== src/uri/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#
set(uri_SRCS
    uri.cpp
)

add_library(uri_lib STATIC ${uri_SRCS})
target_link_libraries(uri_lib Qt::Core)

=== src/validators/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019-2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(validator_SRCS
    countervalidator.cpp
    datetimevalidator.cpp
    namevalidator.cpp
    issuervalidator.cpp
    secretvalidator.cpp
    util.cpp
)

add_library(validator_lib STATIC ${validator_SRCS})
target_link_libraries(validator_lib Qt::Core Qt::Gui base32_lib)

=== autotests/account/dispatcher/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(Test_DEP_LIBS Qt::Core Qt::Test account_lib account_test_lib test_lib)

set(dispatcher_test_SRCS
    dispatcher-dispatch.cpp
    dispatcher-next.cpp
)

ecm_add_tests(
    ${dispatcher_test_SRCS}
    LINK_LIBRARIES ${Test_DEP_LIBS}
    NAME_PREFIX account-jobs-
)

=== debian/changelog ===
keysmith (25.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Yifei Zhan ]
  * New upstream release (25.08.1).
  * Update copyright information.

  [ Pino Toscano ]
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - bump KF package to 6.12.0
    - set the version for libsodium-dev
    - explicitly add pkgconf, needed for finding libsodium
    - add needed QML module: qml6-module-org-kde-kirigamiaddons-formcard
    - remove Qt 5 ones: kirigami2-dev, qtquickcontrols2-5-dev
    - remove transitional ones: libqt6svg6-dev (non-transitional already there)
      libkf6notifications-dev, libkf6statusnotifieritem-dev, libplasma-dev, and
      qt6-multimedia-dev,
    - remove not used QML modules: qml6-module-org-kde-breeze,
      qml6-module-org-kde-kirigami, qml6-module-org-kde-kirigamiaddons-datetime,
      and qml6-module-org-kde-quickcharts

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2025 09:52:25 +0200

=== debian/control ===
Source: keysmith
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Yifei Zhan <debian@zhan.science>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.12.0~),
               gettext,
               libkf6config-dev (>= 6.12.0~),
               libkf6coreaddons-dev (>= 6.12.0~),
               libkf6dbusaddons-dev (>= 6.12.0~),
               libkf6i18n-dev (>= 6.12.0~),
               libkf6qqc2desktopstyle-dev (>= 6.12.0~),
               libkf6windowsystem-dev (>= 6.12.0~),
               libkirigami-dev (>= 6.12.0~),
               libsodium-dev (>= 1.0.16~),
               libssl-dev,
               pkgconf,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qml6-module-org-kde-prison,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/keysmith
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/keysmith
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/keysmith.git

Package: keysmith
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: OTP client for Plasma Mobile and Desktop
 Keysmith is an application to generate two-factor authentication (2FA) tokens
 when logging in to your (online) accounts. Currently it supports both HOTP and
 TOTP tokens.

## keysmith 25.08.1+p24.04+vstable+git20250928.0622

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
 find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6Config ${KF_MIN_VERSION} REQUIRED)
+find_package(KF6KirigamiAddons 1.7.0 REQUIRED)
 
 ecm_find_qmlmodule(org.kde.prison.scanner REQUIRED)

=== debian/changelog ===
keysmith (25.08.1+p24.04+vstable+git20250928.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:22:42 +0000

keysmith (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:42:02 +0000

## keysmith 25.08.1+p24.04+vstable+git20251001.0529

=== debian/changelog ===
keysmith (25.08.1+p24.04+vstable+git20251001.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:29:39 +0000

## keysmith 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(keysmith VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,18 +76,26 @@
 
 if(ANDROID)
     kirigami_package_breeze_icons(ICONS
-        application-quit
+        ${KIRIGAMI_ADDONS_ICONS}
+
         answer-correct
+        answer-correct-symbolic
+        application-exit
+        camera-video-symbolic
+        dialog-close
+        documentinfo
+        document-import
         edit-delete
         edit-undo
         go-next
         list-add
+        lock
         unlock
-        lock
         view-barcode-qr-symbolic
     )
 
     ecm_add_android_apk(keysmith ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
+    install(FILES ${CMAKE_SOURCE_DIR}/org.kde.keysmith.svg DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/)
 else()
     target_link_libraries(keysmith PUBLIC Qt6::Widgets)
 endif()

=== src/backups/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(backup_SRCS backups.cpp)

add_library(backups_lib STATIC ${backup_SRCS})

target_link_libraries(backups_lib Qt::Core OpenSSL::SSL)

=== src/base32/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2019 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#
set(base32_SRCS base32.cpp)

add_library(base32_lib STATIC ${base32_SRCS})
target_link_libraries(base32_lib Qt::Core)

=== autotests/account/file-jobs/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(Test_DEP_LIBS Qt::Core Qt::Test account_lib account_test_lib secrets_test_lib test_lib)
qt_add_resources(RCC_SOURCES resources/resources.qrc)

ecm_add_test(load-accounts.cpp ${RCC_SOURCES} LINK_LIBRARIES ${Test_DEP_LIBS} TEST_NAME load-accounts NAME_PREFIX account-jobs-)
ecm_add_test(delete-accounts.cpp ${RCC_SOURCES} LINK_LIBRARIES ${Test_DEP_LIBS} TEST_NAME delete-accounts NAME_PREFIX account-jobs-)
ecm_add_test(save-hotp.cpp ${RCC_SOURCES} LINK_LIBRARIES ${Test_DEP_LIBS} TEST_NAME save-hotp NAME_PREFIX account-jobs-)
ecm_add_test(save-totp.cpp ${RCC_SOURCES} LINK_LIBRARIES ${Test_DEP_LIBS} TEST_NAME save-totp NAME_PREFIX account-jobs-)
ecm_add_test(request-account-password.cpp ${RCC_SOURCES} LINK_LIBRARIES ${Test_DEP_LIBS} TEST_NAME request-account-password NAME_PREFIX account-jobs-)

=== debian/changelog ===
keysmith (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:45:12 +0100

keysmith (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:53:45 +0100

keysmith (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:24:01 +0100

=== debian/control ===
Source: keysmith
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Yifei Zhan <debian@zhan.science>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               kirigami-addons-dev,
               kirigami2-dev,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6iconthemes-dev,
               libkf6notifications-dev,
               libkf6qqc2desktopstyle-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev,
               libkf6windowsystem-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libplasma-dev,
               libqt6svg6-dev,
               libsodium-dev,
               libssl-dev,
               qml6-module-org-kde-breeze,
               qml6-module-org-kde-kirigami,
               qml6-module-org-kde-kirigamiaddons-components,
               qml6-module-org-kde-kirigamiaddons-datetime,
               qml6-module-org-kde-kirigamiaddons-delegates,
               qml6-module-org-kde-prison,
               qml6-module-org-kde-quickcharts,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-multimedia-dev,
               qt6-svg-dev (>= 6.5.0~),
               qtquickcontrols2-5-dev,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/keysmith
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keysmith
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/keysmith
Rules-Requires-Root: no

Package: keysmith
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: OTP client for Plasma Mobile and Desktop
 Keysmith is an application to generate two-factor authentication (2FA) tokens
 when logging in to your (online) accounts. Currently it supports both HOTP and
 TOTP tokens.

## keysmith 25.08.2+p24.04+vstable+git20251011.0957

=== debian/changelog ===
keysmith (25.08.2+p24.04+vstable+git20251011.0957-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:57:57 +0000

keysmith (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:16:49 +0000

=== debian/control ===
Source: keysmith
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kwindowsystem-dev,
               kf6-prison-dev,
               kf6-qqc2-desktop-style-dev,
               libplasma-dev,
               libsodium-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/keysmith
Vcs-Git: https://invent.kde.org/neon/neon-packaging/keysmith.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/keysmith
Maintainer: Neon CI <neon@kde.org>

Package: keysmith
Architecture: any
Depends: qml6-module-org-kde-kirigami-addons-labs-mobileform,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OTP client for Plasma Mobile and Desktop
 Keysmith is an application to generate two-factor authentication (2FA)
 tokens when logging in to your (online) accounts.
 Currently it supports both HOTP and TOTP tokens.

## keysmith 25.08.2+p24.04+vstable+git20251031.0940

=== debian/changelog ===
keysmith (25.08.2+p24.04+vstable+git20251031.0940-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:40:02 +0000

## keysmith 25.08.2+p24.04+vunstable+git20251011.0613

=== debian/changelog ===
keysmith (25.08.2+p24.04+vunstable+git20251011.0613-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:13:28 +0000

## keysmith 25.08.2+p24.04+vunstable+git20251015.1127

=== debian/changelog ===
keysmith (25.08.2+p24.04+vunstable+git20251015.1127-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:27:21 +0000

## keysmith 25.08.2+p24.04+vunstable+git20251020.0407

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(keysmith VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
keysmith (25.08.2+p24.04+vunstable+git20251020.0407-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 04:07:41 +0000

## keysmith 25.08.2+p24.04+vunstable+git20251020.1232

=== debian/changelog ===
keysmith (25.08.2+p24.04+vunstable+git20251020.1232-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:32:01 +0000

## keysmith 25.08.3

=== autotests/test-utils/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(test_lib_SRCS
    spy.cpp
)

add_library(test_lib STATIC ${test_lib_SRCS})
target_link_libraries(test_lib Qt::Core Qt::Test)

=== autotests/account/test-utils/CMakeLists.txt ===
#
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2020 Johan Ouwerkerk <jm.ouwerkerk@gmail.com>
#

set(account_test_lib_SRCS
    job.cpp
    output.cpp
    secret.cpp
)

add_library(account_test_lib STATIC ${account_test_lib_SRCS})
target_link_libraries(account_test_lib Qt::Core Qt::Test account_lib)

=== debian/changelog ===
keysmith (25.08.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:05:57 +0000

keysmith (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:09 +1000

## keysmith 25.08.3+p24.04+vunstable+git20251202.1012

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
 set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
keysmith (25.08.3+p24.04+vunstable+git20251202.1012-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:12:48 +0000

## keysmith 25.08.3+p24.04+vunstable+git20251206.0824

=== debian/changelog ===
keysmith (25.08.3+p24.04+vunstable+git20251206.0824-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:24:27 +0000

## keysmith 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(keysmith VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
keysmith (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:52:16 +0000

keysmith (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:14:17 +0000

## keysmith 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(keysmith VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
keysmith (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:04:54 +0000

## keysmith 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(keysmith VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
keysmith (25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:57:34 +0000

keysmith (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:53 +1000
